Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding
[Java] Interface TypedStructuredBindingEditor

    org.grails.databinding.TypedStructuredBindingEditor
      org.grails.databinding.StructuredBindingEditor
          org.grails.databinding.BindingHelper

All Superinterfaces:
  StructuredBindingEditor, BindingHelper

    public interface TypedStructuredBindingEditor
    extends StructuredBindingEditor

See Also:
  StructuredBindingEditor

Since:
  2.3.4

Method Summary
`java.lang.Class` | `getTargetType()` @return the type that this editor is used for binding to

Methods inherited from interface StructuredBindingEditor
getPropertyValue

Methods inherited from interface BindingHelper
getPropertyValue

Method Detail

### getTargetType

    public java.lang.Class getTargetType()

  Returns:
    the type that this editor is used for binding to

Groovy Documentation